> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outlit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List identity merge suggestions

> List customer identity merge suggestions from the Identity page. Requires identity:read and the identity resolution feature flag.



## OpenAPI

````yaml /openapi.json get /api/identity/merge-suggestions
openapi: 3.1.0
info:
  title: Outlit API
  summary: Public Outlit Platform and Ingest APIs.
  description: >-
    Canonical OpenAPI specification for the public Outlit API surfaces
    documented at docs.outlit.ai.
  version: 1.0.0
servers:
  - url: https://app.outlit.ai
security:
  - bearerAuth: []
tags:
  - name: Platform API
    description: >-
      Authenticated API key routes for customer intelligence tools and
      integration management.
  - name: Ingest API
    description: Public-key event ingestion routes used by Outlit SDKs.
paths:
  /api/identity/merge-suggestions:
    get:
      tags:
        - Platform API
      summary: List identity merge suggestions
      description: >-
        List customer identity merge suggestions from the Identity page.
        Requires identity:read and the identity resolution feature flag.
      operationId: listIdentityMergeSuggestions
      parameters:
        - name: status
          in: query
          schema:
            $ref: '#/components/schemas/IdentityMergeSuggestionStatus'
        - name: confidence
          in: query
          schema:
            $ref: '#/components/schemas/IdentityMergeConfidence'
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Identity merge suggestions were returned.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListIdentityMergeSuggestionsCommandSuccess
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: >-
            The API key is valid but does not have the required identity read
            scope.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
        '404':
          description: Identity merge suggestions are not enabled for the workspace.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
        '503':
          description: The platform could not list identity merge suggestions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
components:
  schemas:
    IdentityMergeSuggestionStatus:
      type: string
      enum:
        - suggested
        - processing
        - merged
        - rejected
    IdentityMergeConfidence:
      type: string
      enum:
        - HIGH
        - MEDIUM
        - LOW
    ListIdentityMergeSuggestionsCommandSuccess:
      type: object
      required:
        - ok
        - commandId
        - commandVersion
        - correlationId
        - result
      properties:
        ok:
          type: boolean
          const: true
        commandId:
          type: string
          const: identity.mergeSuggestion.list
        commandVersion:
          type: integer
          const: 1
        correlationId:
          type: string
        result:
          allOf:
            - $ref: '#/components/schemas/CommandResultBase'
            - type: object
              properties:
                operationId:
                  type: string
                  const: identity.mergeSuggestion.list
                data:
                  type: object
                  required:
                    - suggestions
                    - canManageIdentityMerges
                  properties:
                    suggestions:
                      type: array
                      items:
                        $ref: '#/components/schemas/IdentityMergeSuggestion'
                    canManageIdentityMerges:
                      type: boolean
                  additionalProperties: false
      additionalProperties: false
    CommandErrorEnvelope:
      type: object
      required:
        - ok
        - commandId
        - commandVersion
        - error
      properties:
        ok:
          type: boolean
          const: false
        commandId:
          type: string
        commandVersion:
          type: integer
          minimum: 1
        error:
          type: object
          required:
            - code
            - message
            - correlationId
            - retryable
          properties:
            code:
              type: string
              enum:
                - validation_failed
                - authorization_denied
                - conflict
                - not_found
                - rate_limited
                - transient_failure
            message:
              type: string
            correlationId:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
          additionalProperties: false
      additionalProperties: false
    CommandResultBase:
      type: object
      required:
        - operationId
        - status
        - resources
        - data
        - warnings
      properties:
        operationId:
          type: string
        status:
          type: string
          const: completed
        resources:
          type: array
          items:
            $ref: '#/components/schemas/CommandResource'
        data:
          type: object
          additionalProperties: true
        warnings:
          type: array
          items:
            type: string
        auditId:
          type: string
      additionalProperties: false
    IdentityMergeSuggestion:
      type: object
      required:
        - id
        - status
        - proposalStatus
        - confidence
        - survivor
        - duplicate
        - reviewNotes
        - reviewedAt
        - reviewedByName
        - appliedAt
        - appliedByName
        - createdAt
        - explanation
        - impact
        - latestJob
        - canMerge
        - canReject
      properties:
        id:
          type: string
        status:
          $ref: '#/components/schemas/IdentityMergeSuggestionStatus'
        proposalStatus:
          $ref: '#/components/schemas/IdentityMergeProposalStatus'
        confidence:
          $ref: '#/components/schemas/IdentityMergeConfidence'
        survivor:
          $ref: '#/components/schemas/IdentityMergeSuggestionCustomer'
        duplicate:
          $ref: '#/components/schemas/IdentityMergeSuggestionCustomer'
        reviewNotes:
          type:
            - string
            - 'null'
        reviewedAt:
          type:
            - string
            - 'null'
          format: date-time
        reviewedByName:
          type:
            - string
            - 'null'
        appliedAt:
          type:
            - string
            - 'null'
          format: date-time
        appliedByName:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        explanation:
          type: array
          items:
            type: string
        impact:
          $ref: '#/components/schemas/IdentityMergeImpactSummary'
        latestJob:
          oneOf:
            - $ref: '#/components/schemas/IdentityMergeSuggestionJob'
            - type: 'null'
        canMerge:
          type: boolean
        canReject:
          type: boolean
      additionalProperties: false
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
      additionalProperties: true
    CommandResource:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
        id:
          type: string
      additionalProperties: false
    IdentityMergeProposalStatus:
      type: string
      enum:
        - PROPOSED
        - STAGED
        - STALE
        - REJECTED
        - APPLIED
    IdentityMergeSuggestionCustomer:
      type: object
      required:
        - id
        - name
        - domain
        - type
        - status
        - identifierCount
        - contactCount
      properties:
        id:
          type: string
        name:
          type: string
        domain:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - COMPANY
            - INDIVIDUAL
        status:
          type:
            - string
            - 'null'
          enum:
            - PROVISIONAL
            - ACTIVE
            - CHURNED
            - MERGED
            - null
        identifierCount:
          type: integer
          minimum: 0
        contactCount:
          type: integer
          minimum: 0
      additionalProperties: false
    IdentityMergeImpactSummary:
      type: object
      required:
        - identifiers
        - users
        - activities
        - visitors
        - billingEvents
        - facts
        - supportTickets
        - calls
        - accessEntries
        - analyticsEvents
        - analyticsDimensions
      properties:
        identifiers:
          type: integer
          minimum: 0
        users:
          type: integer
          minimum: 0
        activities:
          type: integer
          minimum: 0
        visitors:
          type: integer
          minimum: 0
        billingEvents:
          type: integer
          minimum: 0
        facts:
          type: integer
          minimum: 0
        supportTickets:
          type: integer
          minimum: 0
        calls:
          type: integer
          minimum: 0
        accessEntries:
          type: integer
          minimum: 0
        analyticsEvents:
          type: integer
          minimum: 0
        analyticsDimensions:
          type: integer
          minimum: 0
      additionalProperties: false
    IdentityMergeSuggestionJob:
      type: object
      required:
        - id
        - status
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
        status:
          $ref: '#/components/schemas/IdentityMergeJobStatus'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      additionalProperties: false
    ValidationIssue:
      type: object
      required:
        - path
        - message
      properties:
        path:
          type: array
          items:
            type:
              - string
              - number
        message:
          type: string
      additionalProperties: false
    IdentityMergeJobStatus:
      type: string
      enum:
        - QUEUED
        - RUNNING
        - COMPLETED
        - FAILED
  responses:
    Unauthorized:
      description: Invalid or missing API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Invalid credentials
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Outlit API key using the Bearer ok_... format.

````